include::../description.adoc[]

== Exceptions

This function ignores Immediately Invoked Function Expressions (IIFE), which are functions that are created and invoked without ever being assigned a name.


----
(function () { // Ignored by this rule

  function open() {  // Classic function declaration; not ignored
    // ...
  }

  function read() {
    // ...
  }

  function readlines() {
    // ...
  }
})();
----

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
